jump to navigation

Tener tu BERYL actualizado desde repositorios. noviembre 1, 2006

Posted by Benux in Distribuciones, Escritorios, Eye Candy, Linux, Software, ubuntu.
trackback

Para actualizar beryl sigue las siguientes instrucciones o tambien puedes seguir el link de este tutorial si lo quieres actualizar desde svn junto con el efecto 3d world que esta buenisimo.

Instalando/Actualizando beryl desde svn y el efecto 3d world

Si haz querido ver las ultimas mejoras de beryl a continuacion menciono los pasos para lograrlo.

abre una terminal y abres tu archivo de repositorios asi:

sudo gedit /etc/apt/sources.list

dentro del archivo lo que tienes que realizar es colocar el siguiente repositorio segun tu version de ubuntu:

deb http://3v1n0.tuxfamily.org dapper beryl-svn (Repositorio para dapper)

deb http://3v1n0.tuxfamily.org edgy beryl-svn (Repositorio para Edgy)

deb http://boisson.homeip.net/amd64/ beryl ./ (Repositorio para usuarios de amd64)
ahora por ultimo escribimos lo siguiente para obtener la “llave” del repositorio:

wget http://3v1n0.tuxfamily.org/EDD1E155.gpg -O- | sudo apt-key add -

Con este repositorio vamos a tener nuestro beryl actualizado al maximo, claro que hay que agradecer a la persona que amablemente coloca los archivos .deb en su repositorio para que nosotros lo instalemos de manera sencilla.

puedes instalar el efecto 3d world con el siguiente tutorial:

El efecto 3d world

Comentarios»

1. Nicholas Marquez - noviembre 1, 2006

Es verdad que uno puede usar ese repositorio, pero solo para un sistema i386. Todavia no existe un repositorio svn para amd64. No es svn, pero si usas amd64 y quieres beryl un poco mas actualizado, puedes añadir:
deb http://boisson.homeip.net/amd64/ beryl ./

2. Benux - noviembre 1, 2006

perfecto gracias por tu informacion, olvide ese detalle del amd64 asi que pondre tu repositorio en el post.

3. NachXs Blog :: XGL y BERYL 2° Parte :: November :: 2006 - noviembre 2, 2006

[…] Bueno siguiendo con la corriente en la busqueda de una mejor apariencia en tu escritorio con los nuevos efectos de Beryl, me tope con un site en donde te explicaban como tener actualizado tu Beryl, indicandote los repos que tienes que agregar a tu /etc/apt/source.list. En mi caso como uso Edgy solo agregar: […]

4. NachXs Blog :: XGL y BERYL 2° Parte :: November :: 2006 - noviembre 2, 2006

[…] Bueno, siguiendo con la corriente en la busqueda de una mejor apariencia en tu escritorio con los nuevos efectos de Beryl, me tope con un site en donde te explicaban como tener actualizado tu Beryl, indicandote los repos que tienes que agregar a tu /etc/apt/source.list. En mi caso como uso Edgy solo agregar: […]

5. Por fin!!! la actualización de BERYL 0.1.1 y Efecto de fuego en BERYL « Benux Edgy - noviembre 10, 2006

[…] para instalar este efecto y otros mas sigan el tuto del siguiente link: […]

6. Como Instalar XGL/BERYL en Gnome/Kde Nvidia y ATI Dapper/Edgy « Benux Edgy - noviembre 10, 2006

[…] BERYL ACTUALIZADO Para instalar XGL abrimos una terminal y escribimos: […]

7. Gil - noviembre 10, 2006

Perdón, pero en Dapper no puedo actualizar beryl, hay una serie de dependencias que no se cumplen y no se que repositorio me puede faltar, entre otras libc6.

Saludos

8. Benux - noviembre 11, 2006

te dejo los repositorios que yo utilizaba en dapper en la siguiente pagina con estos no creo que tengas problemas de librerias:

http://mx.geocities.com/benigard/sources.html

9. Magic-1 - noviembre 11, 2006

saludos, he actualizado beryl en ubuntu 6.10, y tengo un problema, resulta que al iniciar la sesion de beryl, el sistema lo carga, pero me queda la pantalla en blanco, pero aun asi puedo mover el cubo, pero de nada sirve pues no veo nada, por lo mismo, me queda totalmente blanca la pantalla, que podra ser..

Tengo ubuntu 6.10 amd64 bits con una tarjeta nvidia, agradeceria cualquier colaboracion..

gracias!!

10. Benux - noviembre 11, 2006

una duda, el problema surgio despues de la actualización con el repositorio de boison.homeip…
y pues buscare este tipo de problema para ver que se puede hacer, para asi tambien postear esta clase de bugs.

11. Magic-1 - noviembre 11, 2006

Si… justo despues de actualizar con ese repositorio se presento el problema, y he estado buscando pero aun nada..

12. Benux - noviembre 12, 2006

estuve buscando acerca del problema que tienes, y al parecer este problema a estado apareciendo con las tarjetas nvidia supongo que es debido a que el driver es beta, te pregunte lo del repositorio ya que como se instalan versiones un poco mas adelantadas y pues esto lo puedes corregir bastante facil, asi que te recomiendo de mientras para que puedas seguir trabajando con beryl borrar por el momento este repositorio o ponerlo como comentario simplemente poniendole un # antes del repositorio, despues de esto desinstalar beryl, hacer un sudo apt-get update e instalar de nuevo beryl, con esto seguramente te regresara a la version que tenias estable.
por ultimo pues lo recomendable sera que te esperes a la version que liberen en los repositorios normales los de QuinnStorm o esperate un rato y vuelves a colocar el repositorio puede que ya se haya resuelto el problema y si no es asi pues te regresas a tu version anterior otra vez.
espero que esto te sea de ayuda, por el momento yo seguire buscando sobre el problema haber si existe una buena solución.

13. 2006 Noviembre 12 « Benux Edgy - noviembre 12, 2006

[…] Tener tu BERYL actualizado desde repositorios. […]

14. Gil - noviembre 13, 2006

Para Benux, gracias por el sources.list, pero no me ha servido, me conformaré con esperar los paquetes para ubuntu cuando vayan saliendo los estables.
Tus repositorios no solucionaron el problema, hay varias librerias que no se actualizan y paso de complicarme la vida. De todas forams esto de los repositorios es para tener cuidado, seguro que a ti te iba perfecto pero a mi me han dado problemas y me han desestabilizado unas cuantas cosas, nada que no haya podido solucionar.
De todas formas muchisimas gracias.
Un saludo.

15. Benux - noviembre 13, 2006

Gracias a ti por avisarme de estos problemas, ya que yo normalmente a pesar de que no sufro ciertos problemas busco las soluciones para mantener la usabilidad de este blog.
bueno en caso de que quieras seguir probando cosas nuevas te recomiendo la instalacion de beryl por svn.
y si los repositorios son una lata, por eso es mejor hacer todo a mano, a decir verdad yo he formateado unas 2 veces mi ubuntu edgy por andar probando repositorios, codigos, incluso por actualizaciones que hace el sistema y me da flojera checar que se va a actualizar o si no causa daño alguno jajaja.
lo mejor de todo es que gracias a esto soluciono los problemas de otras personas y pues voy mejorando en este sistema tan complejo.

16. Santi - noviembre 14, 2006

Hola amigos.

Me gustaría añadir que hoy día 14 de noviembre se han actualizado el repositorio que aquí aparecen con repecto a Beryl.
La versión es la 0.1.3 y bueno parece que hay un pequeño problema puesto que en el beryl-setting-manager solo aparecen las opciones generales. El beryl esta ejecutado pero es como si no lo estuviera y el gestor de ventanas emerald no dibuja las ventanas.

Si desde aquí se puede hacer que se revisara este problemilla pues mejor que mejor.

Un saludo a todos.

17. Gil - noviembre 14, 2006

De nada, las gracias a ti por tu ayuda. Sigo leyendote.
Un saludo.

18. Benux - noviembre 14, 2006

pues les recomiendo a todos que instalen o actualicen beryl desde svn ya que cuando menos no he tenido problemas con la version 0.1.3

19. Gil - noviembre 18, 2006

A ver insisto con el tema.
¿Alguien ha actualizado beryl desde dapper?
Si lo ha hecho, por favor postee su sources.list.
Gracias.

20. Actualizando/Instalando Beryl desde svn y el efecto 3d World « Benux Edgy - noviembre 20, 2006

[…] Instalación/Actualización desde repositorios de Beryl […]

21. Victor - diciembre 8, 2006

Hola a todos

Hice lo que indicaste y bien, me actualiza a 0.1.3 pero no responde el gestor de preferencias de beryl y además me quitó el skydome y las imagenes del cubo, solo responde el gestor emerald.

A ver si tu u otro puede saber lo que ocurrió y como solucionarlo.

Gracias

22. Benux - diciembre 8, 2006

pues no tengo idea de que hay sucedido, pero lo que puedes hacer para que no te quedes sin el settings manager y el skydome es quitar mientras los repositorios que agregaste y regresar a la version anteriorbueno este problema me ha pasado de igual forma en algunas de las tantas instalaciones por svn, claro que este es el riesgo de instalar por svn, cuando suceda eso tal vez sea conveniente que regreses a los repositorios, y posteriormente, puedes tratar y posteriormente despues de un tiempo tratar de nuevo haber si se soluciono el problema, claro que si alguien conoce una buena solucion para este problema puede comentarlo.

23. Lukz - diciembre 11, 2006

Hola estoy tratando de actualizar desde ehgy a la version 0.1.4 y tiene problemas con los repositorios, alguien sabe a que se debe…Desde ya muchas gracias

Lukz

24. Lukz - diciembre 11, 2006

Segui probando con tus repositorios y no anduvo…probe con svn y me sale esto:

checking for Qt… configure: error: Qt (>= Qt 3.3 and

25. Lukz - diciembre 11, 2006
26. daniel - enero 16, 2007

como hago para instalar beryl 0.1.2?? esque no kiero actualizar mi beryl a 0.1.3 porque me causa muchos problemas en esta ultima version no puedo entrar al setup del beryl-manager, no se porque pero no me aparece nada y la actualizacion de beryl 0.1.2 no me daba ese problema y quiero tener el efecto fuero y el efecto agua saludos.

27. Hipogrifo - enero 29, 2007

Hola todos, gracias por sus indicaciones.
He instalado el Beryl desde el repositorio indicado para AMD64 y funciona de maravilla. El unico problema es que al abrir muchas aplicaciones se revienta el emerald. Alguna sugerencia para resolver este problema?.

28. Ya dos dias sin mi Beryl! « The Hunter 2.0 y sus delirios - febrero 3, 2007

[…] dos dias sin mi Beryl! Decidi seguir este how-to para tener mi beryl actualizado, y funciono bien, me añadio nuevos plugins y me gusto mucho, pero no se que paso hace dos dias que […]

29. trompeteandos - febrero 24, 2007

Buenas noches, te cuento…

He instalado los drivers propietarios de la tarjeta grafica (ATI 9700) en mi ubuntu edgy recien instalado.
Los drivers son los ultimos de la pagina de ATI (auqnue el problema q te voy a comentar lo he probado con otros drivers). Tras hacer fglrxinfo en consola me muestra esto:

trompeteandos@portatil:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON 9700
OpenGL version string: 2.0.6334 (8.34.8)

Y si hago…
trompeteandos@portatil:~$ glxinfo | grep direct
direct rendering: Yes

Por lo cual, puedo decir que tengo correctamente instalado los drivers propietarios de la tarjeta.

Una vez hecho eso, he instalado beryl y Xgl siguiendo este manual http://www.guia-ubuntu.org/index.php/Xgl_y_Beryl#Instalando_XGL
de la guia de ubuntu.

Y mis archivos de scripts para las sesiones son:
root@portatil:/home/trompeteandos# cat /usr/share/xsessions/gnome-xgl.desktop
[Desktop Entry]
Encoding=UTF-8
Name=gnome-xgl
Exec=/usr/bin/startgnomexgl.sh
Icon=
Type=Application

y el que hace que cargue XGL:

root@portatil:/home/trompeteandos# cat /usr/bin/startgnomexgl.sh
#!/bin/sh
Xgl -fullscreen :1 -ac -accel glx:pbuffer -accel xv:pbuffer &
sleep 2
export DISPLAY=:1
exec gnome-session

Bien, creo que tengo correctamente instalado Beryl y XGL, pues el problema es el siguiente:

Cuando entro en la sesión y bueno antes de añadir a inicio de sesion beryl-manager pues lo pruebo en consola aver que tal me va, y cuando lo pongo la pantalla se me queda en blanco completamente, pero veo el cursor, me explico, la pantalla se ve entera blanca pero veo el cursor del raton de forma q si yo tenia una consola o un editor abierto al entrar en la sesion cuando “paso el raton por encima” de donde se supone q esta la ventana con el editor el cursor cambia a modo editar, o si hay un boton me sale la manita… o sea…que ha entrado en la sesión pero es que está todo en blanco, sabeis a que se debe????

Por favor agradeceria tu ayuda, muchas gracias.

30. Benux - febrero 24, 2007

pues veras, corriste con la mala suerte de que ese bug apareciera en la ulima actualizacion de beryl, osea el release candidate 3 de la version 2.0, te sugiero que esperes a una actualizacion mas adelante para ver si se soluciona el problema, yo tengo los paquetes pasados donde todavia no aparecia dicho problema, si en un futuro no se soluciona con las actualizaciones, yo creo que subire los archivos en alguna parte para que los puedan bajar

31. trompeteandos - febrero 24, 2007

Oks, Benux muchas gracias.

Aparte tengo personalmente un problema y ha sido al instalar un paquete (ubuntu-mediapack) googleando puedes verlo sino lo conoces, y resulta que no se que me ha pasado (lo achaco a ese pakete) la cuestión es que emacs me ha dejado de funcionar bien, y ahora las fuentes de emacs me salen unos cuadrados blancos en vez de la fuente…

Se que no es el lugar, pero se te ocurre algo??
Muchas gracias.

32. ubuntux - marzo 7, 2007

para los que tienen problemas com el cubo blanco y tienen una ATI solo dense una vuelta en esta pagina:

http://www.ubuntu-es.org/index.php?q=node/38019&page=1

revisen de la pagina 2 a la 3 y encontraran varias soluciones, yo poseo una ati radeon 9550 lo he solucionado a la primera

33. Benux - marzo 10, 2007

pues el problema del cubo blanco se ha solucionado con la nueva actualización como esperaba, con respecto al ubuntu-mediapack voy a ver que encuentro

34. Como Instalar XGL/BERYL en Gnome/Kde intel, Nvidia y ATI Dapper/Edgy | Benux Advent - abril 8, 2007

[…] BERYL ACTUALIZADO DESDE REPOSITORIOS […]

35. Benux Advent » Blog Archive » Como Instalar XGL/BERYL en Gnome/Kde intel, Nvidia y ATI Dapper/Edgy - diciembre 10, 2007

[…] BERYL ACTUALIZADO DESDE SVN […]


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: